Change in osmo-ci[master]: OBS: add osmocom-packages-docker.sh

osmith gerrit-no-reply at lists.osmocom.org
Wed Apr 28 16:11:35 UTC 2021


osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ci/+/23956 )


Change subject: OBS: add osmocom-packages-docker.sh
......................................................................

OBS: add osmocom-packages-docker.sh

Add a simple helper script to run osmocom-*-packages.sh in docker to
avoid installing dependencies on the host system.

Related: SYS#5370
Depends: docker-playground Ibb55ad18d2ccf4313f52fa3e3c10d4420c84dced
Change-Id: Icc89e20950c2aaa67b209340d1d797b76fce32d2
---
A scripts/osmocom-packages-docker.sh
1 file changed, 34 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/56/23956/1

diff --git a/scripts/osmocom-packages-docker.sh b/scripts/osmocom-packages-docker.sh
new file mode 100755
index 0000000..66eb311
--- /dev/null
+++ b/scripts/osmocom-packages-docker.sh
@@ -0,0 +1,34 @@
+#!/bin/sh -ex
+# Run osmocom-*-packages.sh in a docker container, so dependencies don't need
+# to be installed on the host machine. See osmocom-nightly-packages.sh and
+# osmocom-latest-packages.sh for supported environment variables.
+SCRIPTS="$(realpath "$(dirname "$0")")"
+IMAGE="debian10-obs-submit"
+OSCRC="${OSCRC:-.oscrc}"
+
+if ! [ -f "$OSCRC" ]; then
+	echo "ERROR: missing OSCRC (should point to OSC credentials file)"
+	exit 1
+fi
+
+. "$SCRIPTS/common.sh"
+docker_images_require "$IMAGE"
+
+case "$FEED" in
+nightly|next|latest)
+	SCRIPT="osmocom-$FEED-packages.sh"
+	;;
+*)
+	# "2021q1" etc, osmocom-latest.sh verifies and uses $FEED
+	SCRIPT="osmocom-latest-packages.sh"
+	;;
+esac
+
+docker run \
+	-e "FEED=$FEED" \
+	-e "PACKAGES=$PACKAGES" \
+	-e "PROJ=$PROJ" \
+	-v "$SCRIPTS:/scripts" \
+	-v "$(realpath "$OSCRC"):/home/user/.oscrc" \
+	"$USER/$IMAGE" \
+	sh -c "cd ~ && /scripts/$SCRIPT"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/23956
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: Icc89e20950c2aaa67b209340d1d797b76fce32d2
Gerrit-Change-Number: 23956
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20210428/1b7ca745/attachment.htm>


More information about the gerrit-log mailing list